<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/QuickBarBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d4d/_quick_bar_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">QuickBarBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d4d/_quick_bar_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#abccd84a33dca1fc9421e2ff1411e9571">    1</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#abccd84a33dca1fc9421e2ff1411e9571">MAX_QUICKBAR_SLOTS_COUNT</a> = 10;</div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">// Script File</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../dd/d5b/class_quick_bar_item.html">    3</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d5b/class_quick_bar_item.html">QuickBarItem</a></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>{</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../dd/d5b/class_quick_bar_item.html#a1a7d97736fdccd80e944b6d62bad6d21">    5</a></span>    <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a1a7d97736fdccd80e944b6d62bad6d21">m_entity</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../dd/d5b/class_quick_bar_item.html#a564c43a1ec319b490b501bbfc55a8878">    6</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a564c43a1ec319b490b501bbfc55a8878">m_enabled</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../dd/d5b/class_quick_bar_item.html#aa939f8d09a5d0e6afb7bc6151979863a">    8</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d5b/class_quick_bar_item.html#aa939f8d09a5d0e6afb7bc6151979863a">QuickBarItem</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a1a7d97736fdccd80e944b6d62bad6d21">m_entity</a> = NULL;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a564c43a1ec319b490b501bbfc55a8878">m_enabled</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>}</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="keyword">class </span><a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a1b579ecc02bd0b420a08cfd3c129da76">QuickBarBase</a></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>{</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">   17</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../dd/d5b/class_quick_bar_item.html">QuickBarItem</a> <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[<a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#abccd84a33dca1fc9421e2ff1411e9571">MAX_QUICKBAR_SLOTS_COUNT</a>]; </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">   18</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>; </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#a081621bce6e3d1365672a2761bf3c68e">   19</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a081621bce6e3d1365672a2761bf3c68e">m_slotsCount</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#a1b579ecc02bd0b420a08cfd3c129da76">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a1b579ecc02bd0b420a08cfd3c129da76">QuickBarBase</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#abccd84a33dca1fc9421e2ff1411e9571">MAX_QUICKBAR_SLOTS_COUNT</a>; i++)</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[i] = <span class="keyword">new</span> <a class="code hl_class" href="../../dd/d5b/class_quick_bar_item.html">QuickBarItem</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[i].<a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a564c43a1ec319b490b501bbfc55a8878">m_enabled</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[i].<a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a1a7d97736fdccd80e944b6d62bad6d21">m_entity</a> = NULL;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a> = player;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a081621bce6e3d1365672a2761bf3c68e">m_slotsCount</a> = 0;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="comment">//-------------------------------------------------------------     </span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#aa5d7fc29b8d93434a511c0c258218647">   34</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga450bc0367ca431eaf09fcf68464fe0a1">SetSize</a>(<span class="keywordtype">int</span> newSize)</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordtype">int</span> i = <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a081621bce6e3d1365672a2761bf3c68e">m_slotsCount</a>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">if</span> ( newSize == <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a081621bce6e3d1365672a2761bf3c68e">m_slotsCount</a> )</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">if</span> (newSize &gt; <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#abccd84a33dca1fc9421e2ff1411e9571">MAX_QUICKBAR_SLOTS_COUNT</a>)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            newSize = <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#abccd84a33dca1fc9421e2ff1411e9571">MAX_QUICKBAR_SLOTS_COUNT</a>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">if</span> ( newSize &gt; i )</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        {   </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <span class="keywordflow">for</span> (; i &lt; newSize; i++)</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity = <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[i].<a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a1a7d97736fdccd80e944b6d62bad6d21">m_entity</a>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                <span class="keywordflow">if</span> ( entity != NULL &amp;&amp; entity.GetHierarchyRootPlayer() == <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a> )</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                    <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[i].<a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a564c43a1ec319b490b501bbfc55a8878">m_enabled</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            }   </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        {   </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <span class="keywordflow">for</span> (i--; i &gt;= newSize; i--)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[i].m_enabled = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a081621bce6e3d1365672a2761bf3c68e">m_slotsCount</a> = newSize;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.m_Hud)</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.m_Hud.RefreshQuickbar(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="comment">//-------------------------------------------------------------     </span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#acf135a0d6d2bf22287e7d9840a24459a">   66</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#acf135a0d6d2bf22287e7d9840a24459a">GetNonEmptyCount</a>()</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordtype">int</span> count = 0;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a081621bce6e3d1365672a2761bf3c68e">m_slotsCount</a>; i++ )</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[i].m_enabled)</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>                count++;                    </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">return</span> count;   </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment">//-------------------------------------------------------------     </span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#a4274f194c0f25f04a2a7247cd8885b25">   78</a></span>    <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a4274f194c0f25f04a2a7247cd8885b25">GetEntity</a>(<span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">if</span> (index &lt; 0 || index &gt;= <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a081621bce6e3d1365672a2761bf3c68e">m_slotsCount</a>)</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <span class="keywordflow">return</span> NULL;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[index].m_enabled)</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[index].<a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a1a7d97736fdccd80e944b6d62bad6d21">m_entity</a>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">return</span> NULL;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span><span class="comment">//------------------------------------------------------------- </span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#af20bedaf7c9a39abf3f99b1122503107">   90</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#af20bedaf7c9a39abf3f99b1122503107">GetSize</a>()</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a081621bce6e3d1365672a2761bf3c68e">m_slotsCount</a>;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span><span class="comment">//-------------------------------------------------------------     </span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#af6630804bfcbb8ced276540000ca4ab3">   95</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#af6630804bfcbb8ced276540000ca4ab3">FindEntityIndex</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity)</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#abccd84a33dca1fc9421e2ff1411e9571">MAX_QUICKBAR_SLOTS_COUNT</a>; i++)</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[i].m_entity == entity)</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                <span class="keywordflow">return</span> i;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordflow">return</span> -1;  </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span><span class="comment">//-------------------------------------------------------------</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#a70d9cd75f20035781d56a136d24dd364">  106</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d13/_emote_manager_8c.html#a70d9cd75f20035781d56a136d24dd364">OnInputUserDataProcess</a>(<span class="keywordtype">int</span> userDataType, <a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx)</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordflow">if</span> ( userDataType == <a class="code hl_variable" href="../../d9/d17/3___game_2tools_2_component_2__constants_8c.html#a4435fae1ad7c0da518bee0c9ebf374df">INPUT_UDT_QUICKABARSHORTCUT</a>)</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a1d89b802d81b200b5386b63bc2c27ab2">OnSetEntityRequest</a>(ctx);</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        }</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span><span class="comment">//-------------------------------------------------------------</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#aef3bf0f2cfda0b79c96e5800a6ada0fe">  117</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#aef3bf0f2cfda0b79c96e5800a6ada0fe">UpdateShotcutVisibility</a>(<span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[index].<a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a564c43a1ec319b490b501bbfc55a8878">m_enabled</a> = <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#ac5ce7b23ef9d5de39c481f703f15beff">CanAddAsShortcut</a>(<a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[index].m_entity);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[index].m_enabled)</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a399ac7409edfe78d53bd21288c979eb3">CancelContinuousUse</a>(index);</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.m_Hud)</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.m_Hud.RefreshQuickbar(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span><span class="comment">//-------------------------------------------------------------</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#aed19725f1399d72f1a22b144a34ee6e8">  127</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#aed19725f1399d72f1a22b144a34ee6e8">SetShotcutEnable</a>(<span class="keywordtype">int</span> index, <span class="keywordtype">bool</span> value)</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    {</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[index].<a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a564c43a1ec319b490b501bbfc55a8878">m_enabled</a> = value &amp;&amp; <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#ac5ce7b23ef9d5de39c481f703f15beff">CanAddAsShortcut</a>(<a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[index].m_entity);</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[index].m_enabled)</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a399ac7409edfe78d53bd21288c979eb3">CancelContinuousUse</a>(index);</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.m_Hud)</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.m_Hud.RefreshQuickbar(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span><span class="comment">//-------------------------------------------------------------</span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#ac5ce7b23ef9d5de39c481f703f15beff">  137</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#ac5ce7b23ef9d5de39c481f703f15beff">CanAddAsShortcut</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity)</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> loc = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        entity.GetInventory().GetCurrentInventoryLocation(loc);</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent = loc.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#a99b6490f5adbcfdc8f2a2bf5c7e28688">GetParent</a>();</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <span class="keywordflow">return</span> (entity &amp;&amp; entity.GetHierarchyRootPlayer() == <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a> &amp;&amp; parent.CanAssignAttachmentsToQuickbar() &amp;&amp; entity.CanAssignToQuickbar());</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span><span class="comment">//-------------------------------------------------------------     </span></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#a87891ede157be5765319e1f6b59bb184">  146</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a87891ede157be5765319e1f6b59bb184">SetEntityShortcut</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity, <span class="keywordtype">int</span> index, <span class="keywordtype">bool</span> force = <span class="keyword">false</span>)</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    {   </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <span class="comment">//Client    </span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsClient())</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        {       </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>            <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d4/d2b/class_script_input_user_data.html">ScriptInputUserData</a>.<a class="code hl_function" href="../../d4/d2b/class_script_input_user_data.html#ab302bd29bf5490b4e83fa9383561f622">CanStoreInputUserData</a>())</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>                <a class="code hl_class" href="../../d4/d2b/class_script_input_user_data.html">ScriptInputUserData</a> ctx = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d2b/class_script_input_user_data.html">ScriptInputUserData</a>;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>                ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>(<a class="code hl_variable" href="../../d9/d17/3___game_2tools_2_component_2__constants_8c.html#a4435fae1ad7c0da518bee0c9ebf374df">INPUT_UDT_QUICKABARSHORTCUT</a>);</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>                ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>(entity);</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>                ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>(index);</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>                ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>(force);</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>                ctx.<a class="code hl_function" href="../../d4/d2b/class_script_input_user_data.html#aa5b61423a27855eb29e42ad278126786">Send</a>();</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>            </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>                <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#aa81f99734f6284600cb20157a2146e89">_SetEntityShortcut</a>(entity, index, force);   </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>            }</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        }</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        <span class="comment">//Server</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() &amp;&amp; <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer())</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        {</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            <a class="code hl_class" href="../../d9/d6e/class_day_z_player_sync_junctures.html">DayZPlayerSyncJunctures</a>.<a class="code hl_function" href="../../d9/d6e/class_day_z_player_sync_junctures.html#aa7df7e26c504818d77811f794f5cd439">SendQuickbarSetShortcut</a>(<a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>, entity, index, force);</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        }</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        {</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            <span class="comment">// Single player</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>            <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#aa81f99734f6284600cb20157a2146e89">_SetEntityShortcut</a>(entity,index,force);</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        }</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    }</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span><span class="comment">//-------------------------------------------------------------</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#a8be4d61d16c985bfed2a248dd41c24fd">  175</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a8be4d61d16c985bfed2a248dd41c24fd">OnSetEntityNoSync</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity, <span class="keywordtype">int</span> index, <span class="keywordtype">bool</span> force = <span class="keyword">false</span> )</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    {</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#aa81f99734f6284600cb20157a2146e89">_SetEntityShortcut</a>(entity, index, force);</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span><span class="comment">//-------------------------------------------------------------</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#a73eb6ac26c381df53ef252351c7446ef">  181</a></span><span class="comment"></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a73eb6ac26c381df53ef252351c7446ef">OnSetEntityRPC</a>(<a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx)</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    {</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <a class="code hl_class" href="../../d2/d04/class_param2.html">Param2&lt;Entity,int&gt;</a> param;</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <span class="keywordflow">if</span> (!ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(param))</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity1 = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast(param.param1);</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#aa81f99734f6284600cb20157a2146e89">_SetEntityShortcut</a>(entity1, param.param2, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    }</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span><span class="comment">//-------------------------------------------------------------</span></div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#a1d89b802d81b200b5386b63bc2c27ab2">  192</a></span><span class="comment"></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a1d89b802d81b200b5386b63bc2c27ab2">OnSetEntityRequest</a>(<a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx)</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    {</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> eai = null;</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        <span class="keywordflow">if</span> (!ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(eai))</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <span class="keywordtype">int</span> index = -1;</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        <span class="keywordflow">if</span> (!ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(index))</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>        <span class="keywordtype">bool</span> force = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        <span class="keywordflow">if</span> (!ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(force))</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>            <span class="keywordflow">return</span></div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        </div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#aa81f99734f6284600cb20157a2146e89">_SetEntityShortcut</a>(eai, index, force);</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    }</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span><span class="comment">//-------------------------------------------------------------     </span></div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#aa81f99734f6284600cb20157a2146e89">  209</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#aa81f99734f6284600cb20157a2146e89">_SetEntityShortcut</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity, <span class="keywordtype">int</span> index, <span class="keywordtype">bool</span> force = <span class="keyword">false</span>)</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    {</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        <span class="comment">//TODO Check, if is in inventory</span></div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        <span class="comment">//if(entity.GetLoca)</span></div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        <span class="keywordflow">if</span> ( entity == NULL )</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        {</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>            <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a42936c5c3de2a7df47537c1e1e2824d4">_RemoveEntity</a>(index);</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>        }</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>        </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>        <span class="keywordtype">int</span> i = <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#af6630804bfcbb8ced276540000ca4ab3">FindEntityIndex</a>(entity);</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>        </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>        <span class="keywordflow">if</span> ( i != -1 )</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>            <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a42936c5c3de2a7df47537c1e1e2824d4">_RemoveEntity</a>(i);</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>                </div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a42936c5c3de2a7df47537c1e1e2824d4">_RemoveEntity</a>(index);</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a59fb1dd39462ad19340f764b40589c6a">_SetEntity</a>( entity, index, force);              </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    }</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span><span class="comment">//-------------------------------------------------------------     </span></div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#a8e04bd434a2469f8a554325d36f1e521">  228</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a8e04bd434a2469f8a554325d36f1e521">updateSlotsCount</a>()</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>    {</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        <span class="keywordtype">int</span> slotsCount = <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.GetQuickBarBonus();</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        <span class="keywordtype">int</span> attCount  = <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.GetInventory().AttachmentCount();</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>        </div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; attCount; ++i)</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>        {</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>            slotsCount += <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.GetInventory().GetAttachmentFromIndex(i).GetQuickBarBonus();</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>        }</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        </div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>        <span class="comment">//max slots is 10</span></div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga450bc0367ca431eaf09fcf68464fe0a1">SetSize</a>(<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga56eafa8f245b4dc543abbf857f1bc41a">Min</a>(slotsCount, 10));</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>    }</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span><span class="comment">//-------------------------------------------------------------     </span></div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#a42936c5c3de2a7df47537c1e1e2824d4">  242</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a42936c5c3de2a7df47537c1e1e2824d4">_RemoveEntity</a>(<span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    {</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>        <span class="keywordflow">if</span> ( index &gt;= 0 &amp;&amp; index &lt; <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#abccd84a33dca1fc9421e2ff1411e9571">MAX_QUICKBAR_SLOTS_COUNT</a> )</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>        {</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>            <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a399ac7409edfe78d53bd21288c979eb3">CancelContinuousUse</a>(index);</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>            </div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>            <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[index].<a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a1a7d97736fdccd80e944b6d62bad6d21">m_entity</a> = NULL;</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>            <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[index].<a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a564c43a1ec319b490b501bbfc55a8878">m_enabled</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>            </div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.m_Hud)</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>                <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.m_Hud.RefreshQuickbar(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>        }</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>    }</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span><span class="comment">//-------------------------------------------------------------     </span></div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#a59fb1dd39462ad19340f764b40589c6a">  256</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a59fb1dd39462ad19340f764b40589c6a">_SetEntity</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity, <span class="keywordtype">int</span> index, <span class="keywordtype">bool</span> force = <span class="keyword">false</span>)</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>    {       </div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>        <span class="keywordflow">if</span> ( index &gt;= 0 &amp;&amp; index &lt; <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#abccd84a33dca1fc9421e2ff1411e9571">MAX_QUICKBAR_SLOTS_COUNT</a> )</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>        {       </div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#ac5ce7b23ef9d5de39c481f703f15beff">CanAddAsShortcut</a>(entity) )</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>            {</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>                <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[index].<a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a1a7d97736fdccd80e944b6d62bad6d21">m_entity</a> = entity;</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>                <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[index].<a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a564c43a1ec319b490b501bbfc55a8878">m_enabled</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>            }</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>            {</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>                <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a399ac7409edfe78d53bd21288c979eb3">CancelContinuousUse</a>(index);</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>                <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a>[index].<a class="code hl_variable" href="../../dd/d5b/class_quick_bar_item.html#a564c43a1ec319b490b501bbfc55a8878">m_enabled</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>            }</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>            </div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.m_Hud)</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>                <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.m_Hud.RefreshQuickbar(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>        }       </div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>    }</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span><span class="comment">//------------------------------------------------------------- </span></div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#a6ddfa8e363b04ea080332dd0b8c12d40">  276</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a6ddfa8e363b04ea080332dd0b8c12d40">~QuickBarBase</a>()</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>    {</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>        </div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>    }</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span><span class="comment">//------------------------------------------------------------- </span></div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno"><a class="line" href="../../da/d4d/_quick_bar_base_8c.html#a399ac7409edfe78d53bd21288c979eb3">  281</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d4d/_quick_bar_base_8c.html#a399ac7409edfe78d53bd21288c979eb3">CancelContinuousUse</a>(<span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>    {</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.m_QuickBarHold)</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>        {</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>            <a class="code hl_class" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> hic = <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.GetInputController();</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>            <span class="keywordflow">if</span> (hic &amp;&amp; hic.<a class="code hl_function" href="../../d7/d1b/class_human_input_controller.html#ae76955adde394dcc0277e39b87b78842">IsQuickBarSlot</a>() == index + 1)</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>                <a class="code hl_variable" href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a>.OnQuickBarContinuousUseEnd(index + 1);</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>        }</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>    }</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>}</div>
<div class="ttc" id="a3___game_2tools_2_component_2__constants_8c_html_a4435fae1ad7c0da518bee0c9ebf374df"><div class="ttname"><a href="../../d9/d17/3___game_2tools_2_component_2__constants_8c.html#a4435fae1ad7c0da518bee0c9ebf374df">INPUT_UDT_QUICKABARSHORTCUT</a></div><div class="ttdeci">const int INPUT_UDT_QUICKABARSHORTCUT</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d17/3___game_2tools_2_component_2__constants_8c_source.html#l00005">_constants.c:5</a></div></div>
<div class="ttc" id="a_emote_manager_8c_html_a70d9cd75f20035781d56a136d24dd364"><div class="ttname"><a href="../../df/d13/_emote_manager_8c.html#a70d9cd75f20035781d56a136d24dd364">OnInputUserDataProcess</a></div><div class="ttdeci">bool OnInputUserDataProcess(int userDataType, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d13/_emote_manager_8c_source.html#l00452">EmoteManager.c:452</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_a081621bce6e3d1365672a2761bf3c68e"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#a081621bce6e3d1365672a2761bf3c68e">m_slotsCount</a></div><div class="ttdeci">protected int m_slotsCount</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00019">QuickBarBase.c:19</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_a1b579ecc02bd0b420a08cfd3c129da76"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#a1b579ecc02bd0b420a08cfd3c129da76">QuickBarBase</a></div><div class="ttdeci">void QuickBarBase(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00021">QuickBarBase.c:21</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_a1d89b802d81b200b5386b63bc2c27ab2"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#a1d89b802d81b200b5386b63bc2c27ab2">OnSetEntityRequest</a></div><div class="ttdeci">void OnSetEntityRequest(ParamsReadContext ctx)</div><div class="ttdoc">Reaction on SetEntityShortcut from client.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00192">QuickBarBase.c:192</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_a1e28a7a4fae8dcb5abb032414fa0c0ef"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#a1e28a7a4fae8dcb5abb032414fa0c0ef">_player</a></div><div class="ttdeci">protected PlayerBase _player</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00018">QuickBarBase.c:18</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_a399ac7409edfe78d53bd21288c979eb3"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#a399ac7409edfe78d53bd21288c979eb3">CancelContinuousUse</a></div><div class="ttdeci">protected void CancelContinuousUse(int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00281">QuickBarBase.c:281</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_a3d6615df309462e28f2919be8802fa87"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#a3d6615df309462e28f2919be8802fa87">m_aQuickbarEnts</a></div><div class="ttdeci">class QuickBarItem m_aQuickbarEnts[MAX_QUICKBAR_SLOTS_COUNT]</div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_a4274f194c0f25f04a2a7247cd8885b25"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#a4274f194c0f25f04a2a7247cd8885b25">GetEntity</a></div><div class="ttdeci">EntityAI GetEntity(int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00078">QuickBarBase.c:78</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_a42936c5c3de2a7df47537c1e1e2824d4"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#a42936c5c3de2a7df47537c1e1e2824d4">_RemoveEntity</a></div><div class="ttdeci">protected void _RemoveEntity(int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00242">QuickBarBase.c:242</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_a59fb1dd39462ad19340f764b40589c6a"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#a59fb1dd39462ad19340f764b40589c6a">_SetEntity</a></div><div class="ttdeci">protected void _SetEntity(EntityAI entity, int index, bool force=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00256">QuickBarBase.c:256</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_a6ddfa8e363b04ea080332dd0b8c12d40"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#a6ddfa8e363b04ea080332dd0b8c12d40">~QuickBarBase</a></div><div class="ttdeci">void ~QuickBarBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00276">QuickBarBase.c:276</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_a73eb6ac26c381df53ef252351c7446ef"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#a73eb6ac26c381df53ef252351c7446ef">OnSetEntityRPC</a></div><div class="ttdeci">void OnSetEntityRPC(ParamsReadContext ctx)</div><div class="ttdoc">Reaction on Rpc from server for set inicial state for quickbar.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00181">QuickBarBase.c:181</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_a87891ede157be5765319e1f6b59bb184"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#a87891ede157be5765319e1f6b59bb184">SetEntityShortcut</a></div><div class="ttdeci">void SetEntityShortcut(EntityAI entity, int index, bool force=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00146">QuickBarBase.c:146</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_a8be4d61d16c985bfed2a248dd41c24fd"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#a8be4d61d16c985bfed2a248dd41c24fd">OnSetEntityNoSync</a></div><div class="ttdeci">void OnSetEntityNoSync(EntityAI entity, int index, bool force=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00175">QuickBarBase.c:175</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_a8e04bd434a2469f8a554325d36f1e521"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#a8e04bd434a2469f8a554325d36f1e521">updateSlotsCount</a></div><div class="ttdeci">void updateSlotsCount()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00228">QuickBarBase.c:228</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_aa81f99734f6284600cb20157a2146e89"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#aa81f99734f6284600cb20157a2146e89">_SetEntityShortcut</a></div><div class="ttdeci">protected void _SetEntityShortcut(EntityAI entity, int index, bool force=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00209">QuickBarBase.c:209</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_abccd84a33dca1fc9421e2ff1411e9571"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#abccd84a33dca1fc9421e2ff1411e9571">MAX_QUICKBAR_SLOTS_COUNT</a></div><div class="ttdeci">const int MAX_QUICKBAR_SLOTS_COUNT</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00001">QuickBarBase.c:1</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_ac5ce7b23ef9d5de39c481f703f15beff"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#ac5ce7b23ef9d5de39c481f703f15beff">CanAddAsShortcut</a></div><div class="ttdeci">bool CanAddAsShortcut(EntityAI entity)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00137">QuickBarBase.c:137</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_acf135a0d6d2bf22287e7d9840a24459a"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#acf135a0d6d2bf22287e7d9840a24459a">GetNonEmptyCount</a></div><div class="ttdeci">int GetNonEmptyCount()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00066">QuickBarBase.c:66</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_aed19725f1399d72f1a22b144a34ee6e8"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#aed19725f1399d72f1a22b144a34ee6e8">SetShotcutEnable</a></div><div class="ttdeci">void SetShotcutEnable(int index, bool value)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00127">QuickBarBase.c:127</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_aef3bf0f2cfda0b79c96e5800a6ada0fe"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#aef3bf0f2cfda0b79c96e5800a6ada0fe">UpdateShotcutVisibility</a></div><div class="ttdeci">void UpdateShotcutVisibility(int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00117">QuickBarBase.c:117</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_af20bedaf7c9a39abf3f99b1122503107"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#af20bedaf7c9a39abf3f99b1122503107">GetSize</a></div><div class="ttdeci">int GetSize()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00090">QuickBarBase.c:90</a></div></div>
<div class="ttc" id="a_quick_bar_base_8c_html_af6630804bfcbb8ced276540000ca4ab3"><div class="ttname"><a href="../../da/d4d/_quick_bar_base_8c.html#af6630804bfcbb8ced276540000ca4ab3">FindEntityIndex</a></div><div class="ttdeci">int FindEntityIndex(EntityAI entity)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00095">QuickBarBase.c:95</a></div></div>
<div class="ttc" id="aclass_day_z_player_sync_junctures_html"><div class="ttname"><a href="../../d9/d6e/class_day_z_player_sync_junctures.html">DayZPlayerSyncJunctures</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d2b/_day_z_player_sync_junctures_8c_source.html#l00004">DayZPlayerSyncJunctures.c:5</a></div></div>
<div class="ttc" id="aclass_day_z_player_sync_junctures_html_aa7df7e26c504818d77811f794f5cd439"><div class="ttname"><a href="../../d9/d6e/class_day_z_player_sync_junctures.html#aa7df7e26c504818d77811f794f5cd439">DayZPlayerSyncJunctures::SendQuickbarSetShortcut</a></div><div class="ttdeci">static void SendQuickbarSetShortcut(DayZPlayer pPlayer, EntityAI item, int index, bool force=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d2b/_day_z_player_sync_junctures_8c_source.html#l00297">DayZPlayerSyncJunctures.c:297</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_human_input_controller_html"><div class="ttname"><a href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00014">human.c:15</a></div></div>
<div class="ttc" id="aclass_human_input_controller_html_ae76955adde394dcc0277e39b87b78842"><div class="ttname"><a href="../../d7/d1b/class_human_input_controller.html#ae76955adde394dcc0277e39b87b78842">HumanInputController::IsQuickBarSlot</a></div><div class="ttdeci">proto native int IsQuickBarSlot()</div><div class="ttdoc">returns 1..10 if some quickbar slot is used, 0 otherwise</div></div>
<div class="ttc" id="aclass_inventory_location_html"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a></div><div class="ttdoc">InventoryLocation.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00027">InventoryLocation.c:28</a></div></div>
<div class="ttc" id="aclass_inventory_location_html_a99b6490f5adbcfdc8f2a2bf5c7e28688"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html#a99b6490f5adbcfdc8f2a2bf5c7e28688">InventoryLocation::GetParent</a></div><div class="ttdeci">proto native EntityAI GetParent()</div><div class="ttdoc">returns parent of current inventory location</div></div>
<div class="ttc" id="aclass_param2_html"><div class="ttname"><a href="../../d2/d04/class_param2.html">Param2</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d76/_p_p_e_constants_8c_source.html#l00066">PPEConstants.c:67</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_quick_bar_item_html"><div class="ttname"><a href="../../dd/d5b/class_quick_bar_item.html">QuickBarItem</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00003">QuickBarBase.c:4</a></div></div>
<div class="ttc" id="aclass_quick_bar_item_html_a1a7d97736fdccd80e944b6d62bad6d21"><div class="ttname"><a href="../../dd/d5b/class_quick_bar_item.html#a1a7d97736fdccd80e944b6d62bad6d21">QuickBarItem::m_entity</a></div><div class="ttdeci">EntityAI m_entity</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00005">QuickBarBase.c:5</a></div></div>
<div class="ttc" id="aclass_quick_bar_item_html_a564c43a1ec319b490b501bbfc55a8878"><div class="ttname"><a href="../../dd/d5b/class_quick_bar_item.html#a564c43a1ec319b490b501bbfc55a8878">QuickBarItem::m_enabled</a></div><div class="ttdeci">bool m_enabled</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00006">QuickBarBase.c:6</a></div></div>
<div class="ttc" id="aclass_quick_bar_item_html_aa939f8d09a5d0e6afb7bc6151979863a"><div class="ttname"><a href="../../dd/d5b/class_quick_bar_item.html#aa939f8d09a5d0e6afb7bc6151979863a">QuickBarItem::QuickBarItem</a></div><div class="ttdeci">void QuickBarItem()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4d/_quick_bar_base_8c_source.html#l00008">QuickBarBase.c:8</a></div></div>
<div class="ttc" id="aclass_script_input_user_data_html"><div class="ttname"><a href="../../d4/d2b/class_script_input_user_data.html">ScriptInputUserData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00120">gameplay.c:121</a></div></div>
<div class="ttc" id="aclass_script_input_user_data_html_aa5b61423a27855eb29e42ad278126786"><div class="ttname"><a href="../../d4/d2b/class_script_input_user_data.html#aa5b61423a27855eb29e42ad278126786">ScriptInputUserData::Send</a></div><div class="ttdeci">proto native void Send()</div></div>
<div class="ttc" id="aclass_script_input_user_data_html_ab302bd29bf5490b4e83fa9383561f622"><div class="ttname"><a href="../../d4/d2b/class_script_input_user_data.html#ab302bd29bf5490b4e83fa9383561f622">ScriptInputUserData::CanStoreInputUserData</a></div><div class="ttdeci">proto static native bool CanStoreInputUserData()</div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="aclass_serializer_html_a3568bd9439217225013ea9906eb09a3f"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Serializer::Write</a></div><div class="ttdeci">proto bool Write(void value_out)</div></div>
<div class="ttc" id="aclass_serializer_html_a9a38a9c5322133ee30fe87a3a4c0659e"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Serializer::Read</a></div><div class="ttdeci">proto bool Read(void value_in)</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga56eafa8f245b4dc543abbf857f1bc41a"><div class="ttname"><a href="../../d5/d98/group___math.html#ga56eafa8f245b4dc543abbf857f1bc41a">Math::Min</a></div><div class="ttdeci">static proto float Min(float x, float y)</div><div class="ttdoc">Returns smaller of two given values.</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga450bc0367ca431eaf09fcf68464fe0a1"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga450bc0367ca431eaf09fcf68464fe0a1">SetSize</a></div><div class="ttdeci">proto native void SetSize(float x, float y, bool immedUpdate=true)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../da/d4d/_quick_bar_base_8c.html">QuickBarBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
